import { getMetadata } from '../metadata/metadata';
import { updateMetadata } from '../metadata/updateMetadata';

import { getNewHistoryId } from './getNewHistoryId';

export const forceHistoryId = () => {
  const trackingId = getMetadata()?.trackingId;

  if (!trackingId) {
    const newHistoryId = getNewHistoryId();
    updateMetadata({ trackingId: newHistoryId });

    return newHistoryId;
  }

  return trackingId;
};
